<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="da66c858e8911fbe">
        <source>Streams</source>
        <target state="needs-translation">Streams</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0019d87160991f8e">
        <source>A __Stream__ is a communication channel where data is reliably transferred as an ordered sequence of bytes. Streams are either synchronous or asynchronous, and may allow reading, writing, or both. Note that a particular type may model more than one concept. For example, the networking types  __socket__ and __ssl_stream__ support both __SyncStream__ and __AsyncStream__. All stream algorithms in Beast are declared as template functions using these concepts:</source>
        <target state="needs-translation">A __Stream__ is a communication channel where data is reliably transferred as an ordered sequence of bytes. Streams are either synchronous or asynchronous, and may allow reading, writing, or both. Note that a particular type may model more than one concept. For example, the networking types  __socket__ and __ssl_stream__ support both __SyncStream__ and __AsyncStream__. All stream algorithms in Beast are declared as template functions using these concepts:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">14</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f02b9469dca47522">
        <source>Stream Concepts</source>
        <target state="needs-translation">Stream Concepts</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c1a76c175533af16">
        <source>Concept</source>
        <target state="needs-translation">Concept</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="21">
        <source>Description</source>
        <target state="needs-translation">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d18e96bee87a3a20">
        <source>__SyncReadStream__</source>
        <target state="needs-translation">__SyncReadStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73d960ee2edb8b36">
        <source>Supports buffer-oriented blocking reads.</source>
        <target state="needs-translation">Supports buffer-oriented blocking reads.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f4d54e63f26ef041">
        <source>__SyncWriteStream__</source>
        <target state="needs-translation">__SyncWriteStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1215f61c91f4fe9f">
        <source>Supports buffer-oriented blocking writes.</source>
        <target state="needs-translation">Supports buffer-oriented blocking writes.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="635f36b07bcc9fc5">
        <source>__SyncStream__</source>
        <target state="needs-translation">__SyncStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5cc5c0405cb395e3">
        <source>A stream supporting buffer-oriented blocking reads and writes.</source>
        <target state="needs-translation">A stream supporting buffer-oriented blocking reads and writes.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60ccaf382d7ac399">
        <source>__AsyncReadStream__</source>
        <target state="needs-translation">__AsyncReadStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2802230c98e69273">
        <source>Supports buffer-oriented asynchronous reads.</source>
        <target state="needs-translation">Supports buffer-oriented asynchronous reads.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7b428bfb8758cc1d">
        <source>__AsyncWriteStream__</source>
        <target state="needs-translation">__AsyncWriteStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f744b548cfcb5674">
        <source>Supports buffer-oriented asynchronous writes.</source>
        <target state="needs-translation">Supports buffer-oriented asynchronous writes.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a049fd101bd26126">
        <source>__AsyncStream__</source>
        <target state="needs-translation">__AsyncStream__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ff1dc8ee5429a200">
        <source>A stream supporting buffer-oriented asynchronous reads and writes.</source>
        <target state="needs-translation">A stream supporting buffer-oriented asynchronous reads and writes.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0af2bab2e6d3673f">
        <source>These template metafunctions check whether a given type meets the requirements for the various stream concepts, and some additional useful utilities. The library uses these type checks internally and also provides them as public interfaces so users may use the same techniques to augment their own code. The use of these type checks helps provide more concise errors during compilation:</source>
        <target state="needs-translation">These template metafunctions check whether a given type meets the requirements for the various stream concepts, and some additional useful utilities. The library uses these type checks internally and also provides them as public interfaces so users may use the same techniques to augment their own code. The use of these type checks helps provide more concise errors during compilation:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">56</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dc0cc8b4c09d8ff7">
        <source>Type Traits and Metafunctions</source>
        <target state="needs-translation">Type Traits and Metafunctions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b4c4db868dbf643a">
        <source>Name</source>
        <target state="needs-translation">Name</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63">
        <source>Description</source>
        <target state="needs-translation">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c4ca06ac622f2c48">
        <source>[link beast.ref.boost__beast__executor_type `executor_type`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__executor_type `executor_type`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ed91d8e5585d0fda">
        <source>An alias for the type of object returned by `get_executor`.</source>
        <target state="needs-translation">An alias for the type of object returned by `get_executor`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="65e549c41e0b3aab">
        <source>[link beast.ref.boost__beast__has_get_executor `has_get_executor`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__has_get_executor `has_get_executor`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d581fa6a4d475650">
        <source>Determine if the `get_executor` member function is present.</source>
        <target state="needs-translation">Determine if the `get_executor` member function is present.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="03c254d0bb93848d">
        <source>[link beast.ref.boost__beast__is_async_read_stream `is_async_read_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_async_read_stream `is_async_read_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b81a4bf0554a0e0c">
        <source>Determine if a type meets the requirements of __AsyncReadStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of __AsyncReadStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1e2b40539baa9eb0">
        <source>[link beast.ref.boost__beast__is_async_stream `is_async_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_async_stream `is_async_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4d55d9d808255210">
        <source>Determine if a type meets the requirements of both __AsyncReadStream__ and __AsyncWriteStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of both __AsyncReadStream__ and __AsyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="795d450ba858865a">
        <source>[link beast.ref.boost__beast__is_async_write_stream `is_async_write_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_async_write_stream `is_async_write_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd9fdcc20a02e163">
        <source>Determine if a type meets the requirements of __AsyncWriteStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of __AsyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c2914e72e71a0503">
        <source>[link beast.ref.boost__beast__is_sync_read_stream `is_sync_read_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_sync_read_stream `is_sync_read_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="626eb9452974d4c2">
        <source>Determine if a type meets the requirements of __SyncReadStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of __SyncReadStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="865f5c74dca10849">
        <source>[link beast.ref.boost__beast__is_sync_stream `is_sync_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_sync_stream `is_sync_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b5f61bbe5162c985">
        <source>Determine if a type meets the requirements of both __SyncReadStream__ and __SyncWriteStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of both __SyncReadStream__ and __SyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91cc3e45605521c3">
        <source>[link beast.ref.boost__beast__is_sync_write_stream `is_sync_write_stream`]</source>
        <target state="needs-translation">[link beast.ref.boost__beast__is_sync_write_stream `is_sync_write_stream`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6271a5b9fef8dac4">
        <source>Determine if a type meets the requirements of __SyncWriteStream__.</source>
        <target state="needs-translation">Determine if a type meets the requirements of __SyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63b0aa941a457e02">
        <source>Using the type checks with `static_assert` on function or class template types will provide users with helpful error messages and prevent undefined behaviors. This example shows how a template function which writes to a synchronous stream may check its argument:</source>
        <target state="needs-translation">Using the type checks with `static_assert` on function or class template types will provide users with helpful error messages and prevent undefined behaviors. This example shows how a template function which writes to a synchronous stream may check its argument:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
    </body>
  </file>
</xliff>
